server.port=8021

spring.application.name=SHiNE-promo-solana-devnet
spring.thymeleaf.cache=false

solana.rpc.url=https://api.devnet.solana.com
solana.sender.keypair-file=./config/devnet-wallet.json

promo.transfer.amount-sol=0.1
promo.codes.file=./data/promo-codes.txt
promo.used.file=./data/promo-used.txt
promo.explorer.tx-url-template=https://explorer.solana.com/tx/%s?cluster=devnet

# Вечный промокод для временной раздачи в devnet.
# Если enabled=true, код можно использовать неограниченно (он не "сгорает").
promo.eternal-code.enabled=true
promo.eternal-code.value=0000
